This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 209645 - urllib2 does not support IPv6 FTP
urllib2 does not support IPv6 FTP
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
Brock Organ
: Triaged
Depends On:
Blocks: IPv6Blocker
  Show dependency treegraph
 
Reported: 2006-10-06 12:26 EDT by Chris Lumens
Modified: 2010-06-24 11:33 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-24 11:33:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Lumens 2006-10-06 12:26:26 EDT
FTPHandler.ftp_open in /usr/lib/python2.4/urllib2.py does not support fetching
files via FTP on IPv6 due to code like the following:

        try:
            host = socket.gethostbyname(host)
        except socket.error, msg:
            raise URLError(msg)

The python documentation for socket.gethostbyname says, "gethostbyname() does
not support IPv6 name resolution, and getaddrinfo() should be used instead for
IPv4/v6 dual stack support."  The whole file needs to be audited for other such
problems that could affect fetching via IPv6.

This impacts installation in that we cannot support FTP IPv6 installs, even
though the anaconda loader does (because it's code that we wrote and adapted for
this requirement).
Comment 1 Pekka Savola 2007-02-19 02:04:04 EST
I guess this is the reason why:
 
urlgrabber http://ftp.ipv6.funet.fi/pub/Linux/00Directory_info.txt
 
works, but this:
 
urlgrabber ftp://ftp.ipv6.funet.fi/pub/Linux/00Directory_info.txt
 
gives:
 
Traceback (most recent call last):
  File "/usr/bin/urlgrabber", line 124, in ?
    main()
  File "/usr/bin/urlgrabber", line 120, in main
    filename = urlgrab(url,filename=file,**kwargs)
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 597, in
urlgrab
    return default_grabber.urlgrab(url, filename, **kwargs)
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 927, in
urlgrab
    return self._retry(opts, retryfunc, url, filename)
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 845, in _retry
    r = apply(func, (opts,) + args, {})
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 913, in
retryfunc
    fo = URLGrabberFileObject(url, filename, opts)
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 1001, in
__init__
    self._do_open()
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 1068, in
_do_open
    fo, hdr = self._make_request(req, opener)
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 1184, in
_make_request
    raise URLGrabError(4, _('IOError: %s') % (e, ))
urlgrabber.grabber.URLGrabError: [Errno 4] IOError: <urlopen error (-5, 'No
address associated with hostname')>
Comment 2 David Cantrell 2007-03-07 00:24:49 EST
Patch submitted upstream to Python for urllib2.py:

http://sourceforge.net/tracker/index.php?func=detail&aid=1675455&group_id=5470&atid=305470

Looks like byterange.py in python-urlgrabber is based on urllib2.py, so the
gethostbyname() usage there should be changed to getaddrinfo() calls.
Comment 3 Dawid Gajownik 2007-03-26 13:15:07 EDT
Please apply this patch to Fedora's python package. If you're not sure whether
it's stable, push it at least to rawhide/updates-testing repo.
Comment 4 Jeremy Katz 2007-03-26 14:32:33 EDT
I'd really like to see upstream python at least commenting in a positive
direction before adding this.  Otherwise, this is something that's somewhat
likely to break over time and require repatching or patching more places.
Comment 5 Bug Zapper 2008-04-03 14:27:32 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 6 Chris Lumens 2008-04-03 14:45:05 EDT
This bug is still valid.
Comment 7 Bug Zapper 2008-05-13 22:24:16 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Robert Scheck 2008-11-01 14:34:49 EDT
This bug is still valid - even against F10 as far as I can see.
Comment 9 Bug Zapper 2009-06-09 18:18:53 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Robert Scheck 2009-06-09 18:33:47 EDT
From my point of view, this bug report is still valid, moving to Rawhide.
Comment 11 Dave Malcolm 2009-10-12 14:17:11 EDT
The upstream report dcantrell made in comment #2 is now here:
http://bugs.python.org/issue1675455
Comment 12 Bug Zapper 2009-11-16 02:53:01 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Chris Lumens 2010-06-24 11:33:15 EDT
I give up on this ever being fixed.  WONTFIX, apparently.

Note You need to log in before you can comment on or make changes to this bug.